=== debian/changelog ===
openblas (0.3.9+ds-1+rpi1) bullseye-staging; urgency=medium

  [changes brought forward from 0.2.15-1+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Fri, 11 Mar 2016 23:39:32 +0000]
  * Disable arm-gcc-flags.patch which was enforcing gcc flags that are wrong
    for raspbian.

 -- Raspbian forward porter <root@raspbian.org>  Thu, 26 Mar 2020 03:48:16 +0000

openblas (0.3.9+ds-1) unstable; urgency=medium

  * New upstream version 0.3.9+ds
  * d/copyright: reflect upstream changes
  * Drop link-tests-openmp.patch.
    Replace it by adding -fopenmp to FCOMMON_OPT at the relevant places in
    debian/rules.

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 20 Mar 2020 14:40:43 +0100
