## openblas 0.3.10+ds

=== debian/changelog ===
openblas (0.3.10+ds-3ubuntu1) groovy; urgency=medium

  * Enable dynamic arch support on s390x. LP: #1893653

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 17 Sep 2020 15:37:04 +0100

openblas (0.3.10+ds-3) unstable; urgency=medium

  [ Mo Zhou ]
  * Fix confusion bug in the libblas.so.3->libopenblas.so.0 linkage.
    We added -Wl,-rpath,'$ORIGIN' in the RPATH attribute of the libblas.so.3
    shared objects. Without this fix, `ldd openblas-serial/libblas.so.3`
    will resolve the libopenblas.so.0 dependency to the symbol link
    controlled by the alternatives mechanism, e.g. libopenblas.so.0 ->
    openblas-pthread/libopenblas.so.0, which breaks the literal meaning
    of the user's libblas.so.3 <--provies-- openblas-serial configuration.
  * Remove the unnecessary dh_shlibdeps overrides.
  * Remove ${shlibs:Depends} dependency from -dev and -meta packages.
  * Fix symbol mangling for libjulia-openblas64.
  * B-D on lapack (>= 3.9.0-3) for BLAS64 version of deprecated routines.

  [ Sébastien Villemot ]
  * d/rules: ensure that shared-library flavoured packages do not depend on
    libopenblas{64-,}0 metapackages. A circular dependency:
     libopenblas0 → libopenblas0-{pthread,openmp,serial} → libopenblas0
    was introduced in 0.3.10+ds-2, since lib{blas,lapack}.so.3 is (again)
    dynamically linked against libopenblas0. We break the loop manually at the
    dpkg-shlibdeps level. (Closes: #966607)

 -- Mo Zhou <lumin@debian.org>  Sat, 01 Aug 2020 23:25:44 +0800

openblas (0.3.10+ds-2) unstable; urgency=medium

  * lib{blas,lapack}.so.3 are again dynamically linked against libopenblas.so.0.
    This restores the pre-multi-flavour behaviour.
    Incidentally, this brings back the possibility of checking at runtime for
    the presence of openblas_get_config symbol. (Closes: #960728)
  * fix-dynamic-arch-gemm-crashes.patch: new patch (Closes: #966175)
  * Add debian/upstream/metadata

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 29 Jul 2020 14:51:22 +0200

openblas (0.3.10+ds-1) unstable; urgency=medium

  [ Mo Zhou ]
  * New upstream version 0.3.10+ds
  * Refresh existing patches.

  [ Sébastien Villemot ]
  * d/copyright: reflect upstream changes

 -- Mo Zhou <lumin@debian.org>  Tue, 07 Jul 2020 19:50:08 +0800

openblas (0.3.9+ds-3) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Remove B-D on dh-exec, no longer needed since debhelper 13
  * On Ubuntu, strip -Wl,-Bsymbolic-functions from LDFLAGS (Closes: #961725)
  * Update Homepage to https://www.openblas.net

  [ Mo Zhou ]
  * Let libopenblas64-julia Conflict & Replace libjulia1 (<< 1.4.1+dfsg-1)
    (Closes: #963223)
  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Thu, 25 Jun 2020 17:39:59 +0800

openblas (0.3.9+ds-2) experimental; urgency=medium

  * Build the custom version of OpenBLAS for Julia.
  * Update my mail address in Uploaders.
  * Bump debhelper compat level to 13 (no change).

 -- Mo Zhou <lumin@debian.org>  Thu, 14 May 2020 19:06:33 +0800
