=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,8 @@
 #!/usr/bin/make -f
+
+# For Ubuntu, see #961725
+export DEB_LDFLAGS_MAINT_STRIP := "-Wl,-Bsymbolic-functions"
+
 include /usr/share/dpkg/buildflags.mk
 include /usr/share/dpkg/pkg-info.mk
 SOVER := 0
@@ -14,7 +18,7 @@
 
 # Architectures with dynamic arch selection
 # TARGET=GENERIC is needed to avoid FTBFS when CPU detection fails (see #923607)
-ENABLE_DYNAMIC_ARCHS := amd64 arm64 i386 kfreebsd-amd64 kfreebsd-i386 ppc64el
+ENABLE_DYNAMIC_ARCHS := amd64 arm64 i386 kfreebsd-amd64 kfreebsd-i386 ppc64el s390x
 ifneq (,$(findstring $(DEB_HOST_ARCH),$(ENABLE_DYNAMIC_ARCHS)))
 	GENERIC_OPTIONS += DYNAMIC_ARCH=1 DYNAMIC_OLDER=1 TARGET=GENERIC
 endif
@@ -64,6 +68,8 @@
 FLAGS_64-0-pthread := USE_THREAD=1 USE_OPENMP=0 INTERFACE64=1 LIBPREFIX=libopenblas64 FCOMMON_OPT='-frecursive -fdefault-integer-8'
 FLAGS_64-0-openmp  := USE_THREAD=1 USE_OPENMP=1 INTERFACE64=1 LIBPREFIX=libopenblas64 FCOMMON_OPT='-frecursive -fopenmp -fdefault-integer-8'
 FLAGS_64-0-serial  := USE_THREAD=0 USE_OPENMP=0 INTERFACE64=1 LIBPREFIX=libopenblas64 FCOMMON_OPT='-frecursive -fdefault-integer-8'
+FLAGS_julia        := USE_THREAD=1 USE_OPENMP=0 INTERFACE64=1 LIBPREFIX=libopenblas64_ FCOMMON_OPT='-frecursive -fdefault-integer-8' \
+	SYMBOLSUFFIX=64_ GEMM_MULTITHREADING_THRESHOLD=50 NO_AFFINITY=1
 
 # Priority values in the Update-Alternatives mechanism.
 # O,P,S stands for openmp, pthread, serial respectively
@@ -76,6 +82,12 @@
 	dh $@
 
 override_dh_auto_configure: $(addprefix config_, $(FLAVORS))
+ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 ppc64el))
+ifeq (,$(filter custom,$(DEB_BUILD_OPTIONS)))
+	# shared object package for Julia's custom use
+	mkdir julia; cp -r $(SRCS) julia/;
+endif
+endif
 	:
 
 config_%:
@@ -119,9 +131,15 @@
 		fi; \
 	done;
 
-override_dh_auto_build: 
+override_dh_auto_build:
 	for target in $(addprefix build_, $(FLAVORS)); do \
 		$(MAKE) -f debian/rules $$target || exit 1; done
+ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 ppc64el))
+ifeq (,$(filter custom,$(DEB_BUILD_OPTIONS)))
+	# shared object package for Julia's custom use
+	$(MAKE) -C julia libs netlib shared $(MAKE_OPTIONS) $(FLAGS_julia)
+endif
+endif
 
 build_0-pthread:
 	$(MAKE) -C 0-pthread libs netlib shared $(MAKE_OPTIONS) $(FLAGS_0-pthread)
@@ -150,24 +168,3 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	for target in $(addprefix test_, $(FLAVORS)); do \
 		$(MAKE) -f debian/rules $$target || exit 1; done
-endif
-
-test_0-pthread:
-	$(MAKE) -C 0-pthread tests $(MAKE_OPTIONS) $(FLAGS_0-pthread)
-test_64-0-pthread:
-	$(MAKE) -C 64-0-pthread tests $(MAKE_OPTIONS) $(FLAGS_64-0-pthread)
-test_0-openmp:
-	$(MAKE) -C 0-openmp tests $(MAKE_OPTIONS) $(FLAGS_0-openmp)
-test_64-0-openmp:
-	$(MAKE) -C 64-0-openmp tests $(MAKE_OPTIONS) $(FLAGS_64-0-openmp)
-test_0-serial:
-	$(MAKE) -C 0-serial tests $(MAKE_OPTIONS) $(FLAGS_0-serial)
-test_64-0-serial:
-	$(MAKE) -C 64-0-serial tests $(MAKE_OPTIONS) $(FLAGS_64-0-serial)
-# XXX: why cannot this work?
-#test_%:
-#	$(MAKE) -C $* test $(MAKE_OPTIONS) $(FLAGS_$(*))
-
-override_dh_auto_install:
-	for target in $(addprefix install_, $(FLAVORS)); do \
-		$(MAKE) -f debian/rules $$target || exit 1; done
