=== debian/changelog ===
openblas (0.3.13+ds-3+rpi1) bullseye-staging; urgency=medium

  [changes brought forward from 0.2.15-1+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Fri, 11 Mar 2016 23:39:32 +0000]
  * Disable arm-gcc-flags.patch which was enforcing gcc flags that are wrong
    for raspbian.

 -- Raspbian forward porter <root@raspbian.org>  Thu, 29 Apr 2021 21:08:00 +0000

openblas (0.3.13+ds-3) unstable; urgency=medium

  * fix-arm64-sigill.patch: new patch, fixes SIGILL on arm64 with numpy.
    Thanks to Thomas Viehmann <tv@beamnet.de> (Closes: #986996)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 18 Apr 2021 10:36:29 +0200

openblas (0.3.13+ds-2) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Enable dynamic arch support on s390x. (LP: #1893653) (Closes: #981048)
    + Also change control file references, thanks Marius Hillenbrand (mhillen)

  [ Aurelien Jarno ]
  * Enable support for riscv64 (Closes: #978633)

 -- Mo Zhou <lumin@debian.org>  Wed, 27 Jan 2021 13:56:54 +0800

openblas (0.3.13+ds-1) unstable; urgency=medium

  * New upstream version 0.3.13+ds
  * d/copyright: reflect upstream changes
  * reunify-arm64-buffersize.patch: drop patch, applied upstream
  * Bump S-V to 4.5.1

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 17 Dec 2020 13:53:00 +0100

openblas (0.3.12+ds-2) unstable; urgency=medium

  * reunify-arm64-buffersize.patch: new patch from upstream (Closes: #970558)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 01 Nov 2020 10:47:26 +0100

openblas (0.3.12+ds-1) unstable; urgency=medium

  * New upstream version 0.3.12+ds
  * fix-dynamic-arch-gemm-crashes.patch: drop patch, applied upstream

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 26 Oct 2020 17:52:08 +0100
